<!--<div *ngIf="!isBannerClosed" class="bg-yellow">-->
<!--  <div class="mx-auto max-w-[1170px] py-3 px-3 sm:px-5 lg:px-5">-->
<!--    <div class="flex flex-wrap items-center justify-between">-->
<!--      <div class="flex w-0 flex-1 items-center">-->
<!--        <span class="flex rounded-lg bg-white p-2">-->
<!--          &lt;!&ndash; Heroicon name: outline/megaphone &ndash;&gt;-->
<!--          <svg-->
<!--            class="h-6 w-6 text-gray-800"-->
<!--            xmlns="http://www.w3.org/2000/svg"-->
<!--            fill="none"-->
<!--            viewBox="0 0 24 24"-->
<!--            stroke-width="1.5"-->
<!--            stroke="currentColor"-->
<!--            aria-hidden="true"-->
<!--          >-->
<!--            <path-->
<!--              stroke-linecap="round"-->
<!--              stroke-linejoin="round"-->
<!--              d="M10.34 15.84c-.688-.06-1.386-.09-2.09-.09H7.5a4.5 4.5 0 110-9h.75c.704 0 1.402-.03 2.09-.09m0 9.18c.253.962.584 1.892.985 2.783.247.55.06 1.21-.463 1.511l-.657.38c-.551.318-1.26.117-1.527-.461a20.845 20.845 0 01-1.44-4.282m3.102.069a18.03 18.03 0 01-.59-4.59c0-1.586.205-3.124.59-4.59m0 9.18a23.848 23.848 0 018.835 2.535M10.34 6.66a23.847 23.847 0 008.835-2.535m0 0A23.74 23.74 0 0018.795 3m.38 1.125a23.91 23.91 0 011.014 5.395m-1.014 8.855c-.118.38-.245.754-.38 1.125m.38-1.125a23.91 23.91 0 001.014-5.395m0-3.46c.495.413.811 1.035.811 1.73 0 .695-.316 1.317-.811 1.73m0-3.46a24.347 24.347 0 010 3.46"-->
<!--            />-->
<!--          </svg>-->
<!--        </span>-->
<!--        <p class="ml-3 truncate font-medium text-gray-900">-->
<!--          <span class="md:hidden"-->
<!--            >Мы запустили бета-версию нового сайта! При необходимости, Вы можете-->
<!--            <a-->
<!--              href="https://www.busbox.guru"-->
<!--              class="border-b border-dashed border-gray-900 hover:border-none"-->
<!--            >-->
<!--              перейти на предыдущюю версию.</a-->
<!--            >-->
<!--          </span>-->
<!--          <span class="hidden md:inline"-->
<!--            >Мы запустили бета-версию нового сайта! При необходимости, Вы можете-->
<!--            <a-->
<!--              href="https://www.busbox.guru"-->
<!--              class="border-b border-dashed border-gray-900 hover:border-none"-->
<!--            >-->
<!--              перейти на предыдущюю версию.</a-->
<!--            >-->
<!--          </span>-->
<!--        </p>-->
<!--      </div>-->
<!--      <div class="order-2 flex-shrink-0 sm:order-3 sm:ml-3">-->
<!--        <button-->
<!--          type="button"-->
<!--          class="-mr-1 flex rounded-md p-2 text-gray-800 hover:bg-white focus:outline-none focus:ring-2 focus:ring-white sm:-mr-2"-->
<!--          (click)="closeBanner()"-->
<!--        >-->
<!--          <span class="sr-only">Dismiss</span>-->
<!--          &lt;!&ndash; Heroicon name: outline/x-mark &ndash;&gt;-->
<!--          <svg-->
<!--            class="h-7 w-7"-->
<!--            xmlns="http://www.w3.org/2000/svg"-->
<!--            fill="none"-->
<!--            viewBox="0 0 24 24"-->
<!--            stroke-width="1.5"-->
<!--            stroke="currentColor"-->
<!--            aria-hidden="true"-->
<!--          >-->
<!--            <path-->
<!--              stroke-linecap="round"-->
<!--              stroke-linejoin="round"-->
<!--              d="M6 18L18 6M6 6l12 12"-->
<!--            />-->
<!--          </svg>-->
<!--        </button>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--</div>-->
<!--page-header-->
<ng-container *tuiLet="isAnonymous$ | async as isAnonymous">
  <header
    #header
    *tuiLet="isCurrentUserLoading$ | async as isCurrentUserLoading"
    class="top-0 left-0 z-10 w-full bg-white font-base shadow-sm transition-all duration-300 ease-out print:hidden"
    [class.!fixed]="isSticky"
    [class.sticky-header]="isSticky"
  >
    <div
      *tuiLet="currentUser$ | async as currentUser"
      class="relative z-20 mx-auto flex max-w-[1170px] justify-between space-x-10 px-4 pt-4 pb-5 sticky-header:space-x-14 sticky-header:pt-4 sticky-header:pb-4 lg:static lg:pt-7 lg:pb-10 xl:space-x-22 xl:sticky-header:space-x-8"
    >
      <!--  header: logo -->
      <a routerLink="/">
        <tui-svg
          *ngIf="!isMobileMenuOpen"
          src="icons::header-logo"
          class="!h-[40px] !w-[66px] sticky-header:!h-[40px] sticky-header:!w-[66px] lg:!h-[77px] lg:!w-[128px]"
        ></tui-svg>
      </a>
      <!--  header: content -->
      <nav class="ml-auto lg:basis-full">
        <!--  top bar -->
        <div
          *ngIf="!isSticky"
          class="hidden items-center justify-between lg:flex"
        >
          <!--  top bar: location -->
          <div class="relative z-30">
            <button
              type="button"
              class="group inline-flex items-center rounded-md bg-white text-gray-600 hover:text-gray-900 focus:outline-none focus:ring-2 focus:ring-yellow focus:ring-offset-2"
              (mouseenter)="showDropdown('location')"
              aria-expanded="false"
            >
              <tui-svg
                src="icons::location-arrow"
                class="mr-3 !h-4 !w-4"
              ></tui-svg>
              <span>Владивосток</span>
              <tui-svg
                src="icons::chevron-down"
                class="mt-0.5 ml-0.5 !h-4 !w-4"
              ></tui-svg>
            </button>
            <div
              *ngIf="activeDropdown === 'location'"
              [@fadeInOut]
              class="absolute top-full left-0 pt-3"
            >
              <div
                class="bt-2 flex gap-7 border-t-2 border-yellow bg-white pt-7 pr-20 pb-5 pl-11 shadow"
              >
                <div class="flex flex-col space-y-2">
                  <b class="whitespace-nowrap text-md text-gray-500"
                    >Приморский край</b
                  >
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Владивосток
                  </button>
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Артем
                  </button>
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Уссурийск
                  </button>
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Находка
                  </button>
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Дальнегорск
                  </button>
                </div>
                <div class="flex flex-col space-y-2">
                  <b class="whitespace-nowrap text-md text-gray-500"
                    >Хабаровский край</b
                  >
                  <button
                    type="button"
                    class="text-left text-sm leading-6 text-gray-800 hover:text-black"
                    (click)="closeDropdown()"
                  >
                    Хабаровск
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!--  top bar: contacts -->
          <a
            href="tel: 84232026532"
            class="mgo-number-13954 relative ml-auto space-x-3 rounded-lg bg-white px-5 py-3 shadow-xs transition-shadow hover:shadow-sm active:top-0.5"
          >
            <tui-svg src="icons::phone" class="!h-[15px] !w-[15px]"></tui-svg>
            <span>+7 4232 026532</span>
          </a>
          <!--  top bar: authorization -->
          <div class="relative z-30 pl-5">
            <button
              *ngIf="isAnonymous; else user"
              type="button"
              class="font-base text-gray-800 hover:text-black"
              aria-expanded="false"
              (click)="login()"
            >
              <tui-svg
                src="icons::user-anonymous"
                class="mr-3 !h-[40px] !w-[40px]"
              ></tui-svg>
              <span>Войти</span>
            </button>

            <ng-template #user>
              <div
                class="font-base text-gray-800 hover:cursor-pointer hover:text-black"
                (mouseenter)="showDropdown('current-user')"
                aria-expanded="false"
              >
                <tui-loader
                  [showLoader]="isCurrentUserLoading"
                  [class.h-5]="isCurrentUserLoading"
                  class="min-w-[100px]"
                >
                  <ng-container
                    *ngIf="
                      currentUser &&
                      currentUser.user_name &&
                      !isCurrentUserLoading
                    "
                  >
                    {{ getCurrentUserName(currentUser) }}
                    <tui-svg
                      src="icons::chevron-down"
                      class="mr-5 ml-0.5 !h-4 !w-4"
                    ></tui-svg>
                    <tui-svg
                      src="icons::user-logged-in"
                      class="!h-10 !w-10 overflow-hidden"
                    ></tui-svg>
                  </ng-container>
                </tui-loader>

                <!--                <ng-container *tuiLet="currentUser$ | async as currentUser">-->
                <!--                  <span *ngIf="currentUser">{{-->
                <!--                    truncate(currentUser.user_name)-->
                <!--                    }}</span>-->
                <!--                </ng-container>-->
              </div>
            </ng-template>

            <!--  top bar: anonymous dropdown -->
            <!--            <div-->
            <!--              *ngIf="activeDropdown === 'anonymous-user'"-->
            <!--              [@fadeInOut]-->
            <!--              class="absolute top-full left-16 w-32"-->
            <!--            >-->
            <!--              <div-->
            <!--                class="flex flex-col border-t-2 border-yellow bg-white pt-3 pr-5 pb-2 pl-4 shadow"-->
            <!--              >-->
            <!--                <button-->
            <!--                  type="button"-->
            <!--                  class="text-left leading-7 text-gray-800 hover:text-black"-->
            <!--                  (click)="login()"-->
            <!--                >-->
            <!--                  Вход-->
            <!--                </button>-->
            <!--                <a-->
            <!--                  href="#"-->
            <!--                  class="text-left leading-7 text-gray-800 hover:text-black"-->
            <!--                >Регистрация</a-->
            <!--                >-->
            <!--              </div>-->
            <!--            </div>-->
            <!--  top bar: logged-in dropdown -->
            <div
              *ngIf="activeDropdown === 'current-user'"
              [@fadeInOut]
              class="absolute top-full right-0 z-20 w-52"
            >
              <div
                class="mt-2 flex flex-col border-t-2 border-yellow bg-white pt-3 pr-5 pb-2 pl-4 shadow"
              >
                <a
                  [routerLink]="['/new-order']"
                  class="leading-7 text-gray-800 hover:text-black"
                  (click)="closeDropdown()"
                  >Заказать доставку</a
                >
                <a
                  [routerLink]="['/account', 'report']"
                  class="leading-7 text-gray-800 hover:text-black"
                  (click)="closeDropdown()"
                  >Мои заказы</a
                >
                <a
                  [routerLink]="['/account', 'profile', 'entity']"
                  class="leading-7 text-gray-800 hover:text-black"
                  (click)="closeDropdown()"
                  >Персональные данные</a
                >
                <button
                  type="button"
                  class="text-left leading-7 text-gray-800 hover:text-black"
                  (click)="logout()"
                >
                  Выйти
                </button>
              </div>
            </div>
          </div>
        </div>
        <!--  main nav -->
        <div class="flex basis-full items-center lg:relative lg:z-20">
          <div
            class="mt-4 hidden flex-grow justify-between sticky-header:mt-0 sticky-header:mr-14 lg:flex xl:sticky-header:mr-12"
          >
            <ng-container *ngFor="let item of nav">
              <div *ngIf="item.dropdown; else link" class="relative">
                <!--  main-nav: link -->
                <a
                  [routerLink]="item.link"
                  class="flex items-center font-base text-[17px] text-gray-800 hover:text-black sticky-header:text-xs"
                  routerLinkActive="active"
                  (mouseenter)="showDropdown(item)"
                >
                  <span>{{ item.name }}</span>
                  <tui-svg
                    src="icons::chevron-down"
                    class="mt-0.5 ml-0.5 !h-4 !w-4"
                  ></tui-svg>
                </a>
                <!--  main-nav: dropdown -->
                <div
                  *ngIf="activeDropdown === item"
                  [@fadeInOut]
                  class="absolute top-full right-0 z-10 pt-10 sticky-header:pt-[26px] xl:right-auto xl:left-0"
                >
                  <div
                    class="flex flex-col border-t-2 border-yellow bg-white pt-4 pr-8 pb-4 pl-5 shadow"
                  >
                    <a
                      *ngFor="let item of item.dropdown"
                      [routerLink]="item.link"
                      class="whitespace-nowrap text-sm leading-8 text-gray-800 hover:text-black sticky-header:text-xs sticky-header:leading-8"
                      routerLinkActive="active"
                      (click)="activeDropdown = null"
                    >
                      {{ item.name }}
                    </a>
                  </div>
                </div>
              </div>
              <ng-template #link>
                <!--  main-nav: link -->
                <a
                  [routerLink]="item.link"
                  class="font-base text-[17px] text-gray-800 hover:text-black sticky-header:text-xs"
                  routerLinkActive="active"
                  [class.text-sm]="isSticky"
                >
                  {{ item.name }}
                </a>
              </ng-template>
            </ng-container>
          </div>
          <!--  sticky contacts -->
          <a
            href="tel: 84232026532"
            class="mgo-number-13954 relative ml-auto hidden h-10 w-10 items-center justify-center self-center whitespace-nowrap rounded-full bg-white shadow-xs transition-shadow hover:shadow-sm active:top-0.5 lg:sticky-header:flex xl:h-auto xl:w-auto xl:justify-start xl:space-x-3 xl:rounded-lg xl:px-5 xl:py-3"
          >
            <tui-svg src="icons::phone" class="!h-[15px] !w-[15px]"></tui-svg>
            <span class="hidden xl:block">+7 4232 026532</span>
          </a>
          <!--  sticky & mobile authorization -->
          <div class="mr-5 pl-5 lg:relative lg:hidden lg:sticky-header:flex">
            <button
              *ngIf="isAnonymous; else userMobile"
              type="button"
              class="overflow-hidden font-base text-gray-800 hover:text-black"
              (click)="login()"
            >
              <tui-svg
                src="icons::user-anonymous"
                class="!h-[40px] !w-[40px]"
              ></tui-svg>
            </button>
            <ng-template #userMobile>
              <button
                type="button"
                class="overflow-hidden font-base text-gray-800 hover:text-black"
                (mouseenter)="showDropdown('current-user')"
              >
                <tui-loader [showLoader]="isCurrentUserLoading">
                  <ng-container *ngIf="currentUser && !isCurrentUserLoading">
                    <tui-svg
                      src="icons::user-logged-in"
                      class="!h-10 !w-10"
                    ></tui-svg>
                    <!--                    <span class="inline-block">{{ getCurrentUserName(currentUser) }}</span>-->
                  </ng-container>
                </tui-loader>
              </button>
            </ng-template>
            <!--  sticky & mobile: anonymous dropdown -->
            <!--            <div-->
            <!--              *ngIf="activeDropdown === 'anonymous-user'"-->
            <!--              [@fadeInOut]-->
            <!--              class="absolute top-full right-0 w-full lg:w-32"-->
            <!--            >-->
            <!--              <div-->
            <!--                class="flex flex-col border-t-2 border-yellow bg-white pt-3 pr-5 pb-2 pl-4 shadow lg:mt-[18px]"-->
            <!--              >-->
            <!--                <button-->
            <!--                  type="button"-->
            <!--                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"-->
            <!--                  (click)="login()"-->
            <!--                >-->
            <!--                  Вход-->
            <!--                </button>-->
            <!--                <a-->
            <!--                  href="#"-->
            <!--                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"-->
            <!--                >Регистрация</a-->
            <!--                >-->
            <!--              </div>-->
            <!--            </div>-->
            <!--  sticky & mobile: logged-in dropdown -->
            <div
              *ngIf="activeDropdown === 'current-user'"
              [@fadeInOut]
              class="absolute top-full right-0 w-full lg:w-52"
            >
              <div
                class="flex flex-col border-t-2 border-yellow bg-white pt-3 pr-5 pb-2 pl-4 shadow lg:mt-4"
              >
                <a
                  [routerLink]="['/new-order']"
                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"
                  (click)="closeDropdown()"
                  >Заказать доставку</a
                >
                <a
                  [routerLink]="['/account', 'report']"
                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"
                  (click)="closeDropdown()"
                  >Мои заказы</a
                >
                <a
                  [routerLink]="['/account', 'profile', 'entity']"
                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"
                  (click)="closeDropdown()"
                  >Персональные данные</a
                >
                <button
                  type="button"
                  class="text-right leading-7 text-gray-800 hover:text-black lg:text-left"
                  (click)="logout()"
                >
                  Выйти
                </button>
              </div>
            </div>
          </div>
          <!--  mobile menu: burger -->
          <button
            type="button"
            class="text-gray-800 hover:text-black lg:hidden"
            (click)="toggleMobileMenu(true)"
            (tuiActiveZoneChange)="toggleMobileMenu($event)"
          >
            <tui-svg src="tuiIconMenuLarge" class="!h-6 !w-6"> </tui-svg>
            <div
              *tuiSidebar="
                isMobileMenuOpen;
                direction: 'right';
                autoWidth: true
              "
              class="flex h-full w-[318px] flex-col bg-gray-50"
            >
              <!-- mobile-nav: header-->
              <div
                class="relative box-border flex h-[76px] items-center justify-between border-b border-gray-300 pt-4 pr-4 pb-5 pl-5"
              >
                <button
                  class="absolute -left-10 text-yellow"
                  (click)="toggleMobileMenu(false)"
                >
                  <tui-svg src="icons::close-2" class="!h-6 !w-6"></tui-svg>
                </button>
                <tui-svg
                  src="icons::header-logo"
                  class="!h-[40px] !w-[66px]"
                ></tui-svg>
                <!--  mobile [phone] -->
                <a
                  href="tel: 84232026532"
                  class="mgo-number-13954 relative flex h-11 w-11 items-center justify-center rounded-full bg-white shadow-xs transition-shadow hover:shadow-sm active:top-0.5"
                >
                  <tui-svg
                    src="icons::phone"
                    class="!h-[15px] !w-[15px]"
                  ></tui-svg>
                </a>
              </div>
              <tui-scrollbar class="h-full">
                <div class="flex flex-col">
                  <ng-container *ngFor="let item of nav">
                    <div *ngIf="item.dropdown; else link" class="relative">
                      <!--  mobile-nav: link -->
                      <button
                        type="button"
                        class="flex w-full items-center justify-between border-t border-gray-300 p-4 pl-5 text-[18px] leading-6 text-gray-800 hover:text-black"
                        [class.bg-white]="activeDropdown === item"
                        [class.shadow-2xs]="activeDropdown === item"
                        (click)="showDropdown(item)"
                      >
                        <span>{{ item.name }}</span>
                        <tui-svg
                          src="tuiIconChevronDownLarge"
                          class="mt-0.5 ml-0.5 !h-4 !w-4 transition-transform"
                          [class.rotate-180]="activeDropdown === item"
                        ></tui-svg>
                      </button>
                      <!--  mobile-nav: dropdown -->
                      <div
                        *ngIf="activeDropdown === item"
                        [@tuiHeightCollapse]="getAnimation(animationSpeed)"
                        class="bg-gray-[#f7f7f7]"
                      >
                        <div class="flex flex-col pt-6 pr-8 pb-4 pl-5">
                          <a
                            *ngFor="let item of item.dropdown"
                            [routerLink]="item.link"
                            class="mb-4 text-sm leading-6 text-gray-800 transition-colors last-of-type:mb-0 hover:text-black active:bg-white"
                            routerLinkActive="active"
                            (click)="toggleMobileMenu(false)"
                          >
                            {{ item.name }}
                          </a>
                        </div>
                      </div>
                    </div>
                    <ng-template #link>
                      <!--  main-nav: link -->
                      <a
                        [routerLink]="item.link"
                        class="border-t border-gray-300 p-4 pl-5 text-[18px] leading-6 text-gray-800 first-of-type:border-none hover:text-black"
                        routerLinkActive="active"
                        (click)="toggleMobileMenu(false)"
                      >
                        {{ item.name }}
                      </a>
                    </ng-template>
                  </ng-container>
                  <div
                    class="mt-auto border-t border-gray-300 p-6 pr-4 pl-5 pb-7"
                  >
                    <a
                      [routerLink]=""
                      class="mb-5 inline-block text-sm font-bold leading-6 text-black hover:text-gray-900"
                      >inbox@busbox.guru</a
                    >
                    <div class="space-y-2 text-2xs text-gray-700">
                      <p>Политика конфиденциальности</p>
                      <p>2013-2022 © ООО «Приморье»</p>
                      <p>
                        Идея и дизайн сайта:
                        <a href="" class="text-black active:text-gray-900"
                          >LEAD WAVE</a
                        >
                      </p>
                    </div>
                  </div>
                </div>
              </tui-scrollbar>
            </div>
          </button>
        </div>
      </nav>
    </div>
    <!--  <div>-->
    <!--    <app-breadcrumbs></app-breadcrumbs>-->
    <!--  </div>-->
    <!--  backdrop -->
    <div
      *ngIf="activeDropdown"
      (mouseenter)="toggleMobileMenu(false)"
      class="fixed inset-0 z-10"
    ></div>
  </header>
</ng-container>
